<?php
/**
 * This file aims to show you how to use this generated package.
 * In addition, the goal is to show which methods are available and the fist needed parameter(s)
 * You have to use an associative array such as:
 * - the key must be a constant beginning with WSDL_ from AbstractSoapClientbase class each generated ServiceType class extends this class
 * - the value must be the corresponding key value (each option matches a {@link http://www.php.net/manual/en/soapclient.soapclient.php} option)
 * $options = array(
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://ec.europa.eu/taxation_customs/vies/checkVatTestService.wsdl',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_TRACE => true,
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_LOGIN => 'you_secret_login',
 * \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_PASSWORD => 'you_secret_password',
 * );
 * etc....
 */
require_once __DIR__ . '/vendor/autoload.php';
/**
 * Minimal options
 */
$options = array(
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_URL => 'https://ec.europa.eu/taxation_customs/vies/checkVatTestService.wsdl',
    \WsdlToPhp\PackageBase\AbstractSoapClientBase::WSDL_CLASSMAP => \EuVies\ClassMap::get(),
);
/**
 * Samples for Vat ServiceType
 */
$vat = new \EuVies\Vat($options);
/**
 * Sample call for checkVat operation/method
 */
if ($vat->checkVat(new \EuVies\CheckVat()) !== false) {
    print_r($vat->getResult());
} else {
    print_r($vat->getLastError());
}
/**
 * Samples for Approx ServiceType
 */
$approx = new \EuVies\Approx($options);
/**
 * Sample call for checkVatApprox operation/method
 */
if ($approx->checkVatApprox(new \EuVies\CheckVatApprox()) !== false) {
    print_r($approx->getResult());
} else {
    print_r($approx->getLastError());
}
